#
# spec file for package apache2-mod_security2 (Version 2.1.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           apache2-mod_security2
Version:        2.1.7
Release:        2.1
#
License:        GPL
Group:          Productivity/Networking/Web/Servers
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  apache2-devel apache2-prefork libxml2-devel pcre-devel
%define apache        apache2
%define modname       mod_security2
%define tarballname   modsecurity-apache_%{version}
#
%define apxs              %{_sbindir}/apxs2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_mmn       %(MMN=$(%{apxs} -q LIBEXECDIR)/MMN; test -x $MMN && $MMN)
Requires:       apache2 %{apache_mmn}
#
Url:            http://www.modsecurity.org
Source:         http://www.modsecurity.org/download/%{tarballname}.tar.gz
#
Summary:        ModSecurity Open Source Web Application Firewall

%description
ModSecurity(TM) is an open source intrusion detection and
prevention engine for web applications (or a web application
firewall). Operating as an Apache Web server module or
standalone, the purpose of ModSecurity is to increase web
application security, protecting web applications from known
and unknown attacks.

 Author:
--------
    Ivan Ristic <ivanr@webkreator.com>

%prep
%setup -n %{tarballname}
perl -p -i.orig -e \
        "s|^(CFLAGS =.*)|\$1 $(%{apxs} -q CFLAGS)| ;\
         s|^(top_dir +=).*|\1 $(%{apxs} -q exp_installbuilddir)/..|;
         s|^(APXS +=).*|\$1 %apxs|" \
    apache2/Makefile
diff -urN apache2/Makefile{.orig,} ||:

%build
%{__make} -C apache2

%install
%makeinstall -C apache2
%{__install} -D -m 0644 modsecurity.conf-minimal %{buildroot}%{apache_sysconfdir}/conf.d/%{modname}.conf

%clean
%{__rm} -rf %{buildroot};

%files
%defattr(-, root, root, 0755)
%{apache_libexecdir}/%{modname}.so
%config(noreplace) %{apache_sysconfdir}/conf.d/%{modname}.conf
%doc CHANGES LICENSE modsecurity.conf-minimal README.TXT
%doc doc/ rules/

%changelog
* Wed Apr 16 2008 cs@linux-administrator.com
- update to 2.1.7
* Sun Feb  3 2008 jg@internetx.de
-update to 2.1.6
* Wed Aug  8 2007 mrueckert@suse.de
- update to 2.1.2
* Mon Apr 16 2007 mrueckert@suse.de
- update to 2.1.1
- switched to perl based patching instead of cmdline params for make
* Fri Sep 22 2006 poeml@suse.de
- fix build (./install was vanished)
